Package net.sf.saxon.functions

## Class URIQueryParameters.RegexFilter

- java.lang.Object
- - net.sf.saxon.functions.URIQueryParameters.RegexFilter

- All Implemented Interfaces:
    `java.io.FilenameFilter`
  Enclosing class:
    URIQueryParameters

      public static class URIQueryParameters.RegexFilter
      extends java.lang.Object
      implements java.io.FilenameFilter

  A FilenameFilter that tests file names against a regular expression

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegexFilter​(RegularExpression regex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(java.io.File dir, java.lang.String name)` | Tests if a specified file should be included in a file list.
    `boolean` | `matches​(java.lang.String name)` | Test whether a name matches the pattern (regardless whether it is a directory or not)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexFilter

          public RegexFilter​(RegularExpression regex)

  - ### Method Detail

    - #### accept

          public boolean accept​(java.io.File dir,
                                java.lang.String name)

      Tests if a specified file should be included in a file list.
      Specified by:
        `accept` in interface `java.io.FilenameFilter`
      Parameters:
        `dir` - the directory in which the file was found.
        `name` - the name (last component) of the file.
      Returns:
        `true` if and only if the name should be included in the file list; `false` otherwise. Returns true if the file is a directory or if it matches the glob pattern.

    - #### matches

          public boolean matches​(java.lang.String name)

      Test whether a name matches the pattern (regardless whether it is a directory or not)
      Parameters:
        `name` - the name (last component) of the file
      Returns:
        true if the name matches the pattern.